ranges::views::cycle_fn Struct Reference

Returns an infinite range that endlessly repeats the source range. More...

`#include <range/v3/view/cycle.hpp>`

## Public Member Functions

template<typename Rng >
CPP_TEMPLATE_AUX_0 | c (requires viewable_range< Rng > &&forward_range< Rng >) cccycled_view< all_t< Rng >> operator()(Rng &&rng) const

## Related Functions

(Note that these are not member functions.)
constexpr view_closure< cycle_fn > | cycle {}

## Detailed Description

Returns an infinite range that endlessly repeats the source range.

## Member Function Documentation

## c()

template<typename Rng >

CPP_TEMPLATE_AUX_0 ranges::views::cycle_fn::c | ( | requires viewable_range< Rng > &&forward_range< Rng > |  | ) | const &&

Precondition
  `!empty(rng)`

References meta::requires().